Bug 298541 - bad tooltip for HWaddr in Network Device dialog for multiple NICs
bad tooltip for HWaddr in Network Device dialog for multiple NICs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-20 12:47 EDT by John Reiser
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 10:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2007-09-20 12:47:40 EDT
Description of problem: In the Network Device dialog for a graphic install, the
tooltip for an ethernet interface (hover the mouse over any part of the line)
always gives the HWaddr and manufacturer of the last device in the list.


Version-Release number of selected component (if applicable):
11.3.0.28

How reproducible:
always

Steps to Reproduce:
1. Graphical install with more than one ethernet interface.
2. In Network Devices dialog, hover mouse over each line.
3.
  
Actual results:
The tooltip which displays the HWaddr and manufacturer always gives the
information for the last device in the list.

Expected results:
The tooltip should give the HWaddr and manufacturer for each different device.

Additional info:
Comment 1 Jeremy Katz 2007-09-21 10:55:23 EDT
The tooltip stuff isn't close to using the API correctly.  Fixing, but then
running into fun with pygtk segfaulting... 
Comment 2 Jeremy Katz 2007-09-21 11:50:08 EDT
pygtk fixed, updated so that we use the API correctly and committed

Note You need to log in before you can comment on or make changes to this bug.